Package org.jboss.modules.filter

# Class MultiplePathFilterBuilder

java.lang.Object
org.jboss.modules.filter.MultiplePathFilterBuilder

public class MultiplePathFilterBuilder extends Object
A builder for a multiple-path filter.

See Also:
  - `PathFilters.multiplePathFilterBuilder(boolean)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addFilter(PathFilter filter, boolean include)`
Add a filter to this builder.
`PathFilter`
`create()`
Create the path filter from this builder's current state.
`boolean`
`isEmpty()`
Determine if this filter builder is empty (i.e.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### addFilter

public void addFilter(PathFilter filter, boolean include)
Add a filter to this builder.

Parameters:
  `filter` - the filter to add
  `include` - `true` if matching paths should be included, `false` for excluded

### create

public PathFilter create()
Create the path filter from this builder's current state.

Returns:
  the path filter

### isEmpty

public boolean isEmpty()
Determine if this filter builder is empty (i.e. has no path filters set on it).

Returns:
  `true` if this builder is empty, `false` otherwise